import type { Gitlab } from "../types"
import GitlabBaseService from "./base"

class Commit extends GitlabBaseService {
  /**
   * 检索与特定提交关联的合并请求。
   * @param {string} sha - 提交的SHA。
   * @returns {Promise<Gitlab.MergeRequest[]>} 一个解析为合并请求数组的promise。
   */
  async getMr(sha: string): Promise<Gitlab.MergeRequest[]> {
    const URL = `/projects/${this.project_id}/repository/commits/${sha}/merge_requests`
    return this.errorWarp<Gitlab.MergeRequest[]>(() => this.get(URL), [])
  }
}

export default Commit
